org.apache.ignite.internal.processors.cache

## Class EntryGetWithTtlResult

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.EntryGetResult
  - - org.apache.ignite.internal.processors.cache.EntryGetWithTtlResult

    public class EntryGetWithTtlResult
    extends EntryGetResult

### Constructor Summary

Constructors
Constructor and Description
`EntryGetWithTtlResult(Object val, GridCacheVersion ver, boolean reserved, long expireTime, long ttl)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `expireTime()`
`long` `ttl()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.EntryGetResult

`reserved, value, value, version`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EntryGetWithTtlResult

    public EntryGetWithTtlResult(Object val,
                                 GridCacheVersion ver,
                                 boolean reserved,
                                 long expireTime,
                                 long ttl)

Parameters:
  `val` - Value.
  `ver` - Version.
  `reserved` - Reserved flag.
  `expireTime` - Entry expire time.
  `ttl` - Entry time to live.

### Method Detail

#### expireTime

    public long expireTime()

Overrides:
  `expireTime` in class `EntryGetResult`
Returns:
  Entry expire time.

#### ttl

    public long ttl()

Overrides:
  `ttl` in class `EntryGetResult`
Returns:
  Entry time to live.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020